# ScalaSourceSet

API Documentation: | `ScalaSourceSet`

A `ScalaSourceSetConvention` defines the properties and methods added to a `SourceSet` by the `ScalaPlugin`.

### Properties

Property | Description
`allScala` | All Scala source for this source set.
`scala` | The source to be compiled by the Scala compiler for this source set. This may contain both Java and Scala source files.

### Methods

Method | Description
`scala(configureAction)` | Configures the Scala source for this set.

### Script blocks

Block | Description
`scala` | Configures the Scala source for this set.

### Property details

#### `SourceDirectorySet` `allScala` (read-only)

All Scala source for this source set.

Default with `scala` plugin:
  `[scala]`

#### `SourceDirectorySet` `scala` (read-only)

The source to be compiled by the Scala compiler for this source set. This may contain both Java and Scala source files.

Default with `scala` plugin:
  `[`${project.projectDir}`/src/`${sourceSet.name}`/scala]`

### Method details

#### `ScalaSourceSet` `scala`(``Action`<? super `SourceDirectorySet`>` configureAction)

Configures the Scala source for this set.

The given action is used to configure the `SourceDirectorySet` which contains the Scala source.

### Script block details

#### `scala` { }

Configures the Scala source for this set.

The given closure is used to configure the `SourceDirectorySet` which contains the Scala source.

Delegates to:
  `SourceDirectorySet` from `scala`